Subject: Re: OS patches for IP Multicast

From: [email-masked] (Jonathan C Day)
Date: 22 Jun 1998 16:02:15 GMT

In article <[email-masked]>, [email-masked] (Patrick De Muynck ) writes:
> 
> Are there still any upgrades or patches needed (e.g. IGMP related) in
> order to run IP Multicast applications on recent PC / workstation OSes ?
> (no need to do any *multicast routing*, these are only used to run
> applications)
> 
> I have:
> 
> Win95:                 it is advised to install winsock2.2 for Win95
> Solaris 2.4, ...:      no patches needed
> 
> I don't have:
> 
> Linux, FreeBSD, WinNT: can anybody help me out there ?
>                        What's the minimum OS release / service pack needed?

WinNT: I believe that Windows NT 4 has Winsock 2 as standard

Linux: Anything after about 1.1.x has support for multicasting (including
routing). Anything in the mid-2.1.x or later has support for IPv6 multicasting.
Recent 2.1.x kernels should have support for QoS multicasting. No patches
required (either for multicast support, or multicast routing, including PIM),
but may require reconfiguring and recompiling the kernel.